#pragma once
#include "MicroBehaviour.h"
#include "BaseModel.h"

class BaseBlockingDarkTemplarBehaviour : public MicroBehaviour {
public:
	BaseBlockingDarkTemplarBehaviour( UnitModel* sub , UnitManager* u);
	virtual bool execute();
	virtual void nudge();

private:
	BWAPI::Position targetPosition;
	UnitManager* unitManager;

	bool attacking;
	bool moving;

protected:


};